commit 4fe70ff356bb720080f1eea3dd2754a596fcad07
Author: freddy77 <freddy77>
Date:   Thu Jul 8 09:39:34 2010 +0000

    support comma syntax with SERVER parameter

diff --git a/ChangeLog b/ChangeLog
index caf8331..2f2cfb0 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,7 @@
+Thu Jul  8 11:39:24 CEST 2010    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* src/odbc/connectparams.c:
+	- support comma syntax with SERVER parameter
+
 Wed Jul  7 16:56:08 CEST 2010    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* misc/freetds_autobuild: update automatic test
 
@@ -2660,4 +2664,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog-0.82 added because of release
 	
 $FreeTDS$
-$Id: ChangeLog,v 1.3067 2010/07/07 14:56:21 freddy77 Exp $
+$Id: ChangeLog,v 1.3068 2010/07/08 09:39:34 freddy77 Exp $
diff --git a/src/odbc/connectparams.c b/src/odbc/connectparams.c
index 1f9be9b..0ba1417 100644
--- a/src/odbc/connectparams.c
+++ b/src/odbc/connectparams.c
@@ -37,7 +37,7 @@
 #include <dmalloc.h>
 #endif
 
-TDS_RCSID(var, "$Id: connectparams.c,v 1.86 2010/02/01 10:16:05 freddy77 Exp $");
+TDS_RCSID(var, "$Id: connectparams.c,v 1.87 2010/07/08 09:39:34 freddy77 Exp $");
 
 #define ODBC_PARAM(p) static const char odbc_param_##p[] = #p;
 ODBC_PARAM_LIST
@@ -119,6 +119,12 @@ parse_server(TDS_ERRS *errs, char *server, TDSCONNECTION * connection)
 			return 0;
 		}
 		*p = 0;
+	} else {
+		p = (char *) strchr(server, ',');
+		if (p && atoi(p+1) > 0) {
+			connection->port = atoi(p+1);
+			*p = 0;
+		}
 	}
 
 	if (tds_lookup_host(server, ip) == TDS_SUCCEED)

